# Class LogEntry

java.lang.Object
org.apache.zookeeper.graph.LogEntry

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `Log4JEntry, TransactionEntry`

public abstract class LogEntry extends Object implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`LogEntry.Type`

## Constructor Summary

Constructors
Constructor
Description
`LogEntry(long timestamp)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAttribute(String key)`
`long`
`getTimestamp()`
`abstract LogEntry.Type`
`getType()`
`void`
`setAttribute(String key, Object v)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogEntry

public LogEntry(long timestamp)

## Method Details

### getTimestamp

public long getTimestamp()

### getType

public abstract LogEntry.Type getType()

### setAttribute

public void setAttribute(String key, Object v)

### getAttribute

public Object getAttribute(String key)